# Count

Handles all Count Transfer Restriction related functionality

## Hierarchy

* TransferRestrictionBase‹Count›

  ↳ **Count**

## Index

### Properties

* [addRestriction](/polymesh-sdk-api-reference/docs-v4/classes/count.md#addrestriction)
* [context](/polymesh-sdk-api-reference/docs-v4/classes/count.md#protected-context)
* [get](/polymesh-sdk-api-reference/docs-v4/classes/count.md#get)
* [parent](/polymesh-sdk-api-reference/docs-v4/classes/count.md#protected-parent)
* [removeRestrictions](/polymesh-sdk-api-reference/docs-v4/classes/count.md#removerestrictions)
* [setRestrictions](/polymesh-sdk-api-reference/docs-v4/classes/count.md#setrestrictions)
* [type](/polymesh-sdk-api-reference/docs-v4/classes/count.md#protected-type)

## Properties

### addRestriction

• **addRestriction**: *ProcedureMethod‹Omit‹*[*AddCountTransferRestrictionParams*](/polymesh-sdk-api-reference/docs-v4/globals.md#addcounttransferrestrictionparams)*, "type"›, number›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*addRestriction*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#addrestriction)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:24*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L24)

Add a Count Transfer Restriction to this Security Token

**`param`** limit on the amount of different (unique) investors that can hold this Security Token at once

**`param`** array of Scope IDs that are exempted from the Restriction

**`param`** array of Identities (or DIDs) that are exempted from the Restriction

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v4/classes/context.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Namespace.ts#L11)

### get

• **get**: *function*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*get*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#get)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:55*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L55)

Retrieve all active Count Transfer Restrictions

**`note`** there is a maximum number of restrictions allowed accross all types. The `availableSlots` property of the result represents how many more restrictions can be added before reaching that limit

#### Type declaration:

▸ (): *Promise‹*[*ActiveTransferRestrictions*](/polymesh-sdk-api-reference/docs-v4/interfaces/activetransferrestrictions.md)*‹*[*CountTransferRestriction*](/polymesh-sdk-api-reference/docs-v4/interfaces/counttransferrestriction.md)*››*

### `Protected` parent

• **parent**: [*SecurityToken*](/polymesh-sdk-api-reference/docs-v4/classes/securitytoken.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Namespace.ts#L9)

### removeRestrictions

• **removeRestrictions**: *ProcedureMethod‹void, number›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*removeRestrictions*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#removerestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L46)

Removes all Count Transfer Restrictions from this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

### setRestrictions

• **setRestrictions**: *ProcedureMethod‹Omit‹*[*SetCountTransferRestrictionsParams*](/polymesh-sdk-api-reference/docs-v4/interfaces/setcounttransferrestrictionsparams.md)*, "type"›, number›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*setRestrictions*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#setrestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:36*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L36)

Sets all Count Transfer Restrictions on this Security Token

**`param`** array of Count Transfer Restrictions with their corresponding exemptions (if applicable)

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### `Protected` type

• **type**: *Count* = TransferRestrictionType.Count as const

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*type*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#protected-abstract-type)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Count.ts:10*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Count.ts#L10)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v4/classes/count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
